Freeciv-3.1: theme Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
theme Struct Reference

## Data Fields

char | name [512]
int | priority
char * | font_filename
int | default_font_size
struct specfile_list * | specfiles
struct small_sprite_list * | small_sprites
struct small_sprite_hash * | sprite_hash
struct theme_background_system * | background_system
struct theme_color_system * | color_system

## Detailed Description

Definition at line 133 of file themespec.c.

## Field Documentation

## ◆ background_system

struct theme_background_system* theme::background_system

Definition at line 150 of file themespec.c.

Referenced by theme_free_toplevel(), theme_get_background_system(), and theme_read_toplevel().

## ◆ color_system

struct theme_color_system* theme::color_system

Definition at line 151 of file themespec.c.

Referenced by theme_free_toplevel(), theme_get_color_system(), and theme_read_toplevel().

## ◆ default_font_size

int theme::default_font_size

Definition at line 138 of file themespec.c.

Referenced by theme_default_font_size(), theme_free_toplevel(), and theme_read_toplevel().

## ◆ font_filename

char* theme::font_filename

Definition at line 137 of file themespec.c.

Referenced by theme_font_filename(), theme_free_toplevel(), and theme_read_toplevel().

## ◆ name

char theme::name[512]

Definition at line 134 of file themespec.c.

Referenced by theme_get_name(), theme_read_toplevel(), themespec_reread(), and themespec_try_read().

## ◆ priority

int theme::priority

Definition at line 135 of file themespec.c.

Referenced by theme_read_toplevel(), and themespec_try_read().

## ◆ small_sprites

struct small_sprite_list* theme::small_sprites

Definition at line 141 of file themespec.c.

Referenced by scan_specfile(), theme_free(), theme_free_sprites(), and theme_new().

## ◆ specfiles

struct specfile_list* theme::specfiles

Definition at line 140 of file themespec.c.

Referenced by theme_finish_loading_sprites(), theme_free(), theme_free_sprites(), theme_new(), and theme_read_toplevel().

## ◆ sprite_hash

struct small_sprite_hash* theme::sprite_hash

Definition at line 146 of file themespec.c.

Referenced by scan_specfile(), theme_free_sprites(), theme_load_sprite(), theme_lookup_sprite_tag_alt(), theme_read_toplevel(), theme_unload_all_sprites(), and theme_unload_sprite().